package com.ruoyi.warehouseBusiness.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 创建仓库 从->主查询对象
 */
public class TWarehousebillsitemsNew extends BaseEntity {
    /**
     * $column.columnComment
     */
    private Long fId;

    /**
     * 单据类型(数据字典)SJRK（入库） SJCK（实际出库） CKDB（调拨） HQZY（货权转移）
     */
    //@Excel(name = "单据类型(数据字典)SJRK", readConverterExp = "入=库")
    private String fBilltype;

    /**
     * 1: 出库，2：在库
     */
    private String type;

    /** 是否计算仓储费（应对出库单是否计算过仓储费） */
    //@Excel(name = "是否计算仓储费（应对出库单是否计算过仓储费）")
    private String isCalculateStorageFees;

    /**
     * 客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name
     */
    private Long fCorpid;

    /**
     * 具体客户名称
     */
    @Excel(name = "客户名称")
    private String fCName;

    /**
     * 名称
     */
    @Excel(name = "品名")
    private String fName;

    /**
     * 提单号
     */
    @Excel(name = "提单号")
    private String fMblno;

    /**
     * 件数
     */
    @Excel(name = "件数")
    private Long fQty;

    /**
     * 毛重
     */
    @Excel(name = "毛重")
    private BigDecimal fGrossweight;

    /**
     * 仓库
     */
    //@Excel(name = "仓库")
    private Long fWarehouseid;

    /** 仓库/库区/库位 */
    @Excel(name = "仓库/库区/库位")
    private String fWarehouseInformation;

    /**
     * 入库日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入库日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fOriginalbilldate;

    /**
     * 入（出）库日期
     */
    //@Excel(name = "入", readConverterExp = "出=")
    private Date fBsdate;

    /**
     * 仓管人
     */
    @Excel(name = "仓管人")
    private String fStorekeeper;

    /** 仓储费截至日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "仓储费截至日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fStorageFeeDeadline;

    public Long getfId() {
        return fId;
    }

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public String getfBilltype() {
        return fBilltype;
    }

    public void setfBilltype(String fBilltype) {
        this.fBilltype = fBilltype;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getIsCalculateStorageFees() {
        return isCalculateStorageFees;
    }

    public void setIsCalculateStorageFees(String isCalculateStorageFees) {
        this.isCalculateStorageFees = isCalculateStorageFees;
    }

    public Long getfCorpid() {
        return fCorpid;
    }

    public void setfCorpid(Long fCorpid) {
        this.fCorpid = fCorpid;
    }

    public String getfCName() {
        return fCName;
    }

    public void setfCName(String fCName) {
        this.fCName = fCName;
    }

    public String getfName() {
        return fName;
    }

    public void setfName(String fName) {
        this.fName = fName;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public Long getfQty() {
        return fQty;
    }

    public void setfQty(Long fQty) {
        this.fQty = fQty;
    }

    public BigDecimal getfGrossweight() {
        return fGrossweight;
    }

    public void setfGrossweight(BigDecimal fGrossweight) {
        this.fGrossweight = fGrossweight;
    }

    public Long getfWarehouseid() {
        return fWarehouseid;
    }

    public void setfWarehouseid(Long fWarehouseid) {
        this.fWarehouseid = fWarehouseid;
    }

    public String getfWarehouseInformation() {
        return fWarehouseInformation;
    }

    public void setfWarehouseInformation(String fWarehouseInformation) {
        this.fWarehouseInformation = fWarehouseInformation;
    }

    public Date getfOriginalbilldate() {
        return fOriginalbilldate;
    }

    public void setfOriginalbilldate(Date fOriginalbilldate) {
        this.fOriginalbilldate = fOriginalbilldate;
    }

    public Date getfBsdate() {
        return fBsdate;
    }

    public void setfBsdate(Date fBsdate) {
        this.fBsdate = fBsdate;
    }

    public String getfStorekeeper() {
        return fStorekeeper;
    }

    public void setfStorekeeper(String fStorekeeper) {
        this.fStorekeeper = fStorekeeper;
    }

    public Date getfStorageFeeDeadline() {
        return fStorageFeeDeadline;
    }

    public void setfStorageFeeDeadline(Date fStorageFeeDeadline) {
        this.fStorageFeeDeadline = fStorageFeeDeadline;
    }

    @Override
    public String toString() {
        return "TWarehousebillsitemsNew{" +
                "fId=" + fId +
                ", fBilltype='" + fBilltype + '\'' +
                ", type='" + type + '\'' +
                ", isCalculateStorageFees='" + isCalculateStorageFees + '\'' +
                ", fCorpid=" + fCorpid +
                ", fName='" + fName + '\'' +
                ", fMblno='" + fMblno + '\'' +
                ", fQty=" + fQty +
                ", fGrossweight=" + fGrossweight +
                ", fWarehouseid=" + fWarehouseid +
                ", fWarehouseInformation='" + fWarehouseInformation + '\'' +
                ", fOriginalbilldate=" + fOriginalbilldate +
                ", fBsdate=" + fBsdate +
                ", fStorekeeper='" + fStorekeeper + '\'' +
                ", fStorageFeeDeadline=" + fStorageFeeDeadline +
                '}';
    }
}
